%define upstream_name Horde_Dav
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 2
Summary:    	Horde library for WebDAV, CalDAV, CardDAV
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Auth >= 2.0.0
Requires:	php-pear-Horde_Auth < 3.0.0alpha1
Requires:	php-pear-Horde_Core >= 2.0.0
Requires:	php-pear-Horde_Core < 3.0.0alpha1
Requires:	php-pear-Horde_Stream >= 1.2.0
Requires:	php-pear-Horde_Stream < 2.0.0alpha1
Requires: 	php-pear-channel-horde
BuildArch:  	noarch

%description
This package contains all Horde-specific wrapper classes for the Sabre DAV
library.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Dav.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Dav.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Dav
fi

%files
%doc docs/Horde_Dav/*
%{peardir}/*
%{xmldir}/Horde_Dav.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 532033
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 1.0.2-1.mga4
+ Revision: 466558
- upgrade to ver 1.0.2

* Fri Jun 07 2013 spuhler <spuhler> 1.0.0-1.mga4
+ Revision: 440294
- imported package php-pear-Horde_Dav

